﻿@model DomainModels.Entities.Site.SitePage
@using ViewModels.Base;

@{
    ViewBag.Title = "Edit page";
}

@section Styles{
    <link href="~/ckeditor/contents.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/lib/css/fileinput.min.css" rel="stylesheet" />
}

<div class="alert alert-info">
    <ul>
        <li>@Html.ShowValidPictureExtensions()</li>
        <li>در بخش 'آدرس یکتا' یک عبارت انگلیسی وارد نمایید</li>
    </ul>
</div>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
	@Html.HiddenFor(model => model.Id)

    
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.Title, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.Title, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Title)
            </div>
        </div>
	</div>
    <div class="row" style="display:none">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.Slug, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.Slug, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Slug)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                <label class="label-control">تصویر</label>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-6 col-md-offset-6">
                <input id="fileupload1" class="fileupload" name="fileupload1[]" type="file">
            </div>
        </div>
    </div>
    <div class="row" style="display:none">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.ShortDescription, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-11 col-lg-offset-1">
                @Html.TextAreaFor(model => model.ShortDescription, new { @class = "form-control" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.Description, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-11 col-lg-offset-1">
                @Html.TextAreaFor(model => model.Description, new { @class = "form-control" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.MetaKeywords, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-md-10">
                @Html.ValidationMessageFor(model => model.MetaKeywords)
            </div>
            <div class="col-lg-8 col-md-2">
                @Html.TextAreaFor(model => model.MetaKeywords, new { @class = "form-control", placeholder = "کلمات را با ویرگول انگلیسی از هم جدا نمایید" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.MetaDescription, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-md-10">
                @Html.ValidationMessageFor(model => model.MetaDescription)
            </div>
            <div class="col-lg-8 col-md-2">
                @Html.TextAreaFor(model => model.MetaDescription, new { @class = "form-control" })
            </div>
        </div>
    </div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
				<input type="submit" value="ثبت" class="btn btn-info"  />
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                @Html.ActionLink("Return to list", "Index", null, new { @class = "btn btn-return" })
			</div>
		</div>
	</div>
}



@section Scripts{

    <!-- ckEditor  -->
    <script src="~/ckeditor/ckeditor.js" type="text/javascript"></script>
    <script src="~/ckeditor/adapters/jquery.js" type="text/javascript"></script>
    <!-- file-input -->
    <script src="~/Content/lib/js/fileinput.min.js"></script>

    <script type="text/javascript">
        $(function () {

            // ===================================== page.onload() ===============================
            initializeCkEditor();
            initializeFileInput();

            // ===================================== initialize =====================================
            // ckEditor
            function initializeCkEditor() {
                $("#SitePage_Description").ckeditor({ customConfig: '', language: 'fa', skin: 'kama', contentsLangDirection: 'rtl', font_defaultLabel: 'Tahoma' });
            }

            // fileinput
            function initializeFileInput() {

                $(".fileupload").fileinput({
                    showUpload: false,
                    showCaption: true,
                    showPreview: false
                });

                $(".fileupload").on('filebrowse', function (event, data, previewId, index, jqXHR) {
                    $(this).fileinput('clear');
                });

            }
        });
    </script>

}